/* 
  style.css contains a reset, font normalization and some base styles.
  
  credit is left where credit is due.
  additionally, much inspiration was taken from these projects:
    yui.yahooapis.com/2.8.1/build/base/base.css
    camendesign.com/design/
    praegnanz.de/weblog/htmlcssjs-kickstart
*/

/* 
  html5doctor.com Reset Stylesheet (Eric Meyer's Reset Reloaded + HTML5 baseline)
  v1.4 2009-07-27 | Authors: Eric Meyer & Richard Clark
  html5doctor.com/html-5-reset-stylesheet/
*/

html, body, div, span, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
abbr, address, cite, code,
del, dfn, em, img, ins, kbd, q, samp,
small, strong, sub, sup, var,
b, i,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, figure, footer, header, 
hgroup, menu, nav, section, menu,
time, mark, audio, video {
  margin:0;
  padding:0;
  border:0;
  outline:0;
  font-size:100%;
  vertical-align:baseline;
  background:transparent;
}                  

article, aside, figure, footer, header, 
hgroup, nav, section { display:block; }

nav ul { list-style:none; }

blockquote, q { quotes:none; }

blockquote:before, blockquote:after,
q:before, q:after { content:''; content:none; }

a { margin:0; padding:0; font-size:100%; vertical-align:baseline; background:transparent; }

ins { background-color:#ff9; color:#000; text-decoration:none; }

mark { background-color:#ff9; color:#000; font-style:italic; font-weight:bold; }

del { text-decoration: line-through; }

abbr[title], dfn[title] { border-bottom:1px dotted #000; cursor:help; }

/* tables still need cellspacing="0" in the markup */
table { border-collapse:collapse; border-spacing:0; }

hr { display:block; height:1px; border:0; border-top:1px solid #ccc; margin:1em 0; padding:0; }

input, select { vertical-align:middle; }
/* END RESET CSS */

/* 
 * Fix overflow in IE 
 */
html {
	overflow-x:hidden;	
}

/*
fonts.css from the YUI Library: developer.yahoo.com/yui/
          Please refer to developer.yahoo.com/yui/fonts/ for font sizing percentages

There are three custom edits:
 * remove arial, helvetica from explicit font stack
 * make the line-height relative and unit-less
 * remove the pre, code styles
*/
body { font:13px sans-serif; *font-size:small; *font:x-small; line-height:1.22; }

table { font-size:inherit; font:100%; }

select, input, textarea { font:99% sans-serif; }


/* normalize monospace sizing 
 * en.wikipedia.org/wiki/MediaWiki_talk:Common.css/Archive_11#Teletype_style_fix_for_Chrome
 */
pre, code, kbd, samp { font-family: monospace, sans-serif; }
 


/* 
 * minimal base styles 
 */


/* #444 looks better than black: twitter.com/H_FJ/statuses/11800719859 */ 
body, select, input, textarea { color:#444; }

/* Headers (h1,h2,etc) have no default font-size or margin,
   you'll want to define those yourself. */ 
 
/* www.aestheticallyloyal.com/public/optimize-legibility/ */ 
h1,h2,h3,h4,h5,h6 { font-weight: bold; text-rendering: optimizeLegibility; }

/* maxvoltar.com/archive/-webkit-font-smoothing */
html { -webkit-font-smoothing: antialiased; }

 
/* Accessible focus treatment: people.opera.com/patrickl/experiments/keyboard/test */
a:hover, a:active { outline: none; }

a, a:active, a:visited { color:#607890; }
a:hover { color:#036; }


ul { margin-left:30px; }
ol { margin-left:30px; list-style-type: decimal; }

small { font-size:85%; }
strong, th { font-weight: bold; }

td, td img { vertical-align:top; } 

sub { vertical-align: sub; font-size: smaller; }
sup { vertical-align: super; font-size: smaller; }

pre { 
  padding: 15px; 
  
  /* www.pathf.com/blogs/2008/05/formatting-quoted-code-in-blog-posts-css21-white-space-pre-wrap/ */
  white-space: pre; /* CSS2 */
  white-space: pre-wrap; /* CSS 2.1 */
  white-space: pre-line; /* CSS 3 (and 2.1 as well, actually) */
  word-wrap: break-word; /* IE */
}

/* align checkboxes, radios, text inputs with their label
   by: Thierry Koblentz tjkdesign.com/ez-css/css/base.css  */
input[type="radio"] { vertical-align: text-bottom; }
input[type="checkbox"] { margin:0; vertical-align:-2px; }
.ie6 input { vertical-align: text-bottom; }

/* hand cursor on clickable input elements */
label, input[type=button], input[type=submit], button { cursor: pointer; }


/* These selection declarations have to be separate.
   No text-shadow: twitter.com/miketaylr/status/12228805301 
   Also: hot pink. */
::-moz-selection{ background: #FF5E99; color:#fff; text-shadow: none; }
::selection { background:#FF5E99; color:#fff; text-shadow: none; } 

/*  j.mp/webkit-tap-highlight-color */
a:link { -webkit-tap-highlight-color: #FF5E99; } 


/* make buttons play nice in IE:    
   www.viget.com/inspire/styling-the-button-element-in-internet-explorer/ */
button {  width: auto; overflow: visible; }
 
/* bicubic resizing for non-native sized IMG: 
   code.flickr.com/blog/2008/11/12/on-ui-quality-the-little-things-client-side-image-resizing/ */
.ie7 img { -ms-interpolation-mode: bicubic; }


.form input[type=button],
.form input[type=submit] {
	background:#00b4e5;
	border:none;
	padding:0px 10px;
	height:25px;
	line-height:20px;
	color:#FFF;
	-moz-border-radius: 3px;
	-webkit-border-radius: 3px;
	border-radius: 3px;
	vertical-align:middle;
	text-decoration:none;
	text-align:center;
	width:auto;
	font-weight:700;
	display:inline-block;
	cursor:pointer;
	font-size:12px;
	box-shadow:inset 0px 1px 0px rgba(225,225,225,0.5);
	-moz-box-shadow:0px 1px 0px rgba(225, 225, 225, 0.5) inset;
	-webkit-box-shadow:0px 1px 0px rgba(225, 225, 225, 0.5) inset;
}

.imgbas {
	border:0;
	position:relative;
	top:3px;
}
.titxt {
	font-size:12px;
}

.form_info input,
.form_info select,
.form_info textarea {
	background:#FEFEFE;
	border:1px solid #CCC;
	padding:2px;
	color:#4D4D4D;
	-moz-border-radius: 3px;
	-webkit-border: 3px;
	border-radius: 3px;
}
.form_info input[type=button],
.form_info input[type=submit] {
	background:#00b4e5;
	border:none;
	padding:0px 10px;
	height:25px;
	line-height:20px;
	color:#FFF;
	-moz-border-radius: 3px;
	-webkit-border-radius: 3px;
	border-radius: 3px;
	vertical-align:middle;
	text-decoration:none;
	text-align:center;
	width:auto;
	font-weight:700;
	display:inline-block;
	cursor:pointer;
	font-size:12px;
	box-shadow:inset 0px 1px 0px rgba(225,225,225,0.5);
	-moz-box-shadow:0px 1px 0px rgba(225, 225, 225, 0.5) inset;
	-webkit-box-shadow:0px 1px 0px rgba(225, 225, 225, 0.5) inset;
}

.form_info input[type=button]:hover,
.form_info input[type=submit]:hover {
	background:#00A1CD;
}

.form_info blockquote
{
	background:#FEFEFE;
	border:1px solid #CCC;
	padding:4px;
	color:#4D4D4D;
	-moz-border-radius: 3px;
	-webkit-border: 3px;
	border-radius: 3px;
	line-height:normal;
}

.form_style {
	-ms-box-sizing:border-box;
	-o-box-sizing:border-box;
	-moz-box-sizing:border-box;
}

#dialog {
	font-size:12px;
}

.form_style a {
	color:#2276bb !important;
	text-decoration:none !important;
	font:13px/1.231 arial, helvetica, clean, sans-serif !important;
}

.form_style a:hover {
	text-decoration:underline !important;
}

.form_style input[type=button],
.form_style input[type=submit] {
	font:12px/15px "Gill Sans MT", "Myriad Pro", "DejaVu Sans Condensed", Helvetica, Arial, sans-serif;
	display:inline;
	-wekbit-box-shadow:0 1px 0 #f8f8f8;
	padding:4px 9px 4px 9px;
	overflow:visible;
	margin:3px 0;
	vertical-align:top;
	display:inline-block;
	cursor:pointer;
	border:1px solid #28c;
	border-radius:4px;
	text-decoration:none;
	text-shadow:-1px -1px 0px #39d;
	color:#fff !important;
	background-color:#39d;
	background: #33bbee; /* Old browsers */
	background: -moz-linear-gradient(top,  #33bbee 0%, #3399dc 100%); /* FF3.6+ */
	background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#33bbee), color-stop(100%,#3399dc)); /* Chrome,Safari4+ */
	background: -webkit-linear-gradient(top,  #33bbee 0%,#3399dc 100%); /* Chrome10+,Safari5.1+ */
	background: -o-linear-gradient(top,  #33bbee 0%,#3399dc 100%); /* Opera 11.10+ */
	background: -ms-linear-gradient(top,  #33bbee 0%,#3399dc 100%); /* IE10+ */
	background: linear-gradient(to bottom,  #33bbee 0%,#3399dc 100%); /* W3C */
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#33bbee', endColorstr='#3399dc',GradientType=0 ); /* IE6-9 */
}

.form_style input[type=text],
.form_style select,
.form_style textarea {
	font:12px/15px "Gill Sans MT", "Myriad Pro", "DejaVu Sans Condensed", Helvetica, Arial, sans-serif;
	transition:border linear .2s, box-shadow linear .2s;
	border:1px solid #ccc;
	border-radius:4px;
	background-color:#FFF;
	padding:4px;
	margin:3px 0;
}

.form_style input[type=text]:focus,
.form_style select:focus,
.form_style textarea:focus,
.form_style input[type=text]:hover,
.form_style select:hover,
.form_style textarea:hover {
	border-color:#55bef1;
	outline:0;
}

.form_style input:focus,
.form_style input:hover,
.form_style select:focus,
.form_style select:hover,
.form_style textarea:focus,
.form_style textarea:hover {
	box-shadow:0px 0px 8px rgba(82,168,236,0.75);
}

.form_style textarea {
	resize:none;	
}